Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1193628 - dvdcss plugin relies on removed symbol from libdvdcss library
Summary: dvdcss plugin relies on removed symbol from libdvdcss library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: brasero
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-17 18:26 UTC by Richard Shaw
Modified: 2015-12-01 19:50 UTC (History)
2 users (show)

Fixed In Version: brasero-3.12.1-3.fc23 brasero-3.12.1-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-30 21:20:52 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Git diff on master (deleted)
2015-05-27 16:50 UTC, Richard Shaw
no flags Details | Diff
Source patch (deleted)
2015-05-27 16:51 UTC, Richard Shaw
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 744916 0 None None None Never

Description Richard Shaw 2015-02-17 18:26:24 UTC
Description of problem:
The dvdcss plugin[1] in brasero checks for the symbol "dvdcss_interface_2" in the libdvdcss library which seems to have been removed as of 1.3.0 which cases brasero to assume the version is too old.

[1] https://git.gnome.org/browse/brasero/tree/plugins/dvdcss/burn-dvdcss.c?id=ce187bb2d5925e6c0c25be27d60c6eb0c0600828#n98

Comment 1 Richard Shaw 2015-05-27 16:50:30 UTC
Created attachment 1030708 [details]
Git diff on master

Comment 2 Richard Shaw 2015-05-27 16:51:05 UTC
Created attachment 1030709 [details]
Source patch

Comment 3 Jan Kurik 2015-07-15 14:31:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 4 Richard Shaw 2015-10-30 15:49:31 UTC
Are there objections to applying the patch?

Comment 5 Richard Shaw 2015-11-18 17:17:39 UTC
Builds done for F21->Rawhide but I can't create a bodhi update for it.

Comment 6 Fedora Update System 2015-11-23 14:29:12 UTC
brasero-3.12.1-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-897667fc0e

Comment 7 Fedora Update System 2015-11-23 14:29:17 UTC
brasero-3.12.1-3.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-737f70bac0

Comment 8 Fedora Update System 2015-11-24 00:23:36 UTC
brasero-3.12.1-3.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update brasero'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-737f70bac0

Comment 9 Fedora Update System 2015-11-24 00:54:13 UTC
brasero-3.12.1-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update brasero'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-212b49967a

Comment 10 Fedora Update System 2015-11-24 02:22:55 UTC
brasero-3.12.1-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update brasero'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-897667fc0e

Comment 11 Fedora Update System 2015-11-30 21:20:50 UTC
brasero-3.12.1-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-12-01 19:50:06 UTC
brasero-3.12.1-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.